Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1146058 - libreoffice: fails to build on ppc64le due failng tests
Summary: libreoffice: fails to build on ppc64le due failng tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-24 11:31 UTC by Jakub Čajka
Modified: 2015-07-18 02:01 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.7.2-9.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-18 02:01:56 UTC


Attachments (Terms of Use)
Failing test (deleted)
2014-09-24 11:31 UTC, Jakub Čajka
no flags Details
Other failed test (deleted)
2014-09-24 11:33 UTC, Jakub Čajka
no flags Details
test2.log (deleted)
2014-09-24 11:34 UTC, Jakub Čajka
no flags Details
test3.log (deleted)
2014-09-24 11:34 UTC, Jakub Čajka
no flags Details
sfx2.log (deleted)
2014-09-24 11:34 UTC, Jakub Čajka
no flags Details
build log tail (deleted)
2014-09-25 12:45 UTC, Jakub Čajka
no flags Details

Description Jakub Čajka 2014-09-24 11:31:44 UTC
Created attachment 940741 [details]
Failing test

Cppunit test sc_subsequent_filters_test fails during build(see attachment test.log).

Problem fist appear in version libreoffice-4.3.2.1-3, all tests were run in libreoffice-4.3.2.2-1(with java-1.8.0-openjdk-1.8.0.40-9). 

I have noticed missing addin dir and double slashes in file url. I have created instdir/program/addin dir and modified sc/qa/unit/helper/qahelper.cxx:594 :

 .
 .
 OUStringBuffer aBuffer( getSrcRootURL() );
+OUString add;
+if (m_aBaseString.indexOf('/') == 0) add = m_aBaseString.copy(1);
+else add = m_aBaseString;
+aBuffer.append(add).append(aSep).append(aFileExtension);
 aBuffer.append(aSep).append(aFileBase).append(aFileExtension);
 .
 .

Now test fails with(see attachment test2.log and just with created missing dir test3.log)

Commenting out few first test cases leads to(see attachment test1.log)

From backtraces it seems as issue in storage/metadata handling/loading. I have run sfx2 test. With (un)set to DEBUGCPPUNIT=FALSE they passes, when it is set to TRUE test fails with(see attachment sfx2.log)

Comment 1 Jakub Čajka 2014-09-24 11:33:10 UTC
Created attachment 940743 [details]
Other failed test

Comment 2 Jakub Čajka 2014-09-24 11:34:03 UTC
Created attachment 940744 [details]
test2.log

Comment 3 Jakub Čajka 2014-09-24 11:34:31 UTC
Created attachment 940745 [details]
test3.log

Comment 4 Jakub Čajka 2014-09-24 11:34:58 UTC
Created attachment 940748 [details]
sfx2.log

Comment 5 Michael Stahl 2014-09-24 12:16:04 UTC
(In reply to Jakub Čajka from comment #4)
> Created attachment 940748 [details]
> sfx2.log

this one is an _expected_ exception that is caught and ignored in sfx2/qa/cppunit/test_metadatable.cxx line 126.

if the sfx_metadatable test reports failure later we'd need a different backtrace...

oh, DEBUGCPPUNIT=TRUE doesn't do what you expect: it merely inserts breakpoints when exceptions are thrown, but in many tests that is expected to happen at some point; the interesting cases are just when the test actually _fails_, then maybe the last thrown exception gives a hint...

Comment 6 Jakub Čajka 2014-09-24 12:24:35 UTC
(In reply to Michael Stahl from comment #5)
> (In reply to Jakub Čajka from comment #4)
> > Created attachment 940748 [details]
> > sfx2.log
> 
> this one is an _expected_ exception that is caught and ignored in
> sfx2/qa/cppunit/test_metadatable.cxx line 126.
> 
> if the sfx_metadatable test reports failure later we'd need a different
> backtrace...
> 
> oh, DEBUGCPPUNIT=TRUE doesn't do what you expect: it merely inserts
> breakpoints when exceptions are thrown, but in many tests that is expected
> to happen at some point; the interesting cases are just when the test
> actually _fails_, then maybe the last thrown exception gives a hint...

So it is not failing, that's good, but sc_subsequent_filters_test remains...(it is failng without DEBUGCPPUNIT=TRUE)

Comment 7 David Tardon 2014-09-24 12:40:41 UTC
(In reply to Jakub Čajka from comment #0)
> Problem fist appear in version libreoffice-4.3.2.1-3, all tests were run in
> libreoffice-4.3.2.2-1(with java-1.8.0-openjdk-1.8.0.40-9). 

Are you _sure_ you have got the versions right? Because if yes, then there _was_ a problem that has already been fixed.

Comment 8 Jakub Čajka 2014-09-24 13:14:27 UTC
Yes I have been building libreoffice-4.3.2.2-1... started looking in to it after http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=265217 (KDE detection bug) and http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=265853 (java awt bug)... IIRC both fixed by now

Comment 9 Jakub Čajka 2014-09-24 13:26:27 UTC
Trying to build latest version, will see in ~2h.

Comment 10 Jakub Čajka 2014-09-25 12:45:29 UTC
Created attachment 941072 [details]
build log tail

I have tried to build libreoffice-4.3.2.2-4 on ppc64le for Fedora 21, build fails same way as before. In attachment is part of build.log(last 1000 lines) with test failure. Please look in to it, thanks.

Comment 11 Caolan McNamara 2015-07-11 13:12:01 UTC
I think I've fixed this in f22, but my scratch builds are currently failing due to either out of space or compiler oom failures.

Comment 12 Caolan McNamara 2015-07-11 19:19:48 UTC
aha, got a scratch build success on f22, will backport and build for primaries, which I believe triggers the secondary arch builds IIUC

Comment 13 Fedora Update System 2015-07-12 14:50:48 UTC
libreoffice-4.3.7.2-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.7.2-9.fc21

Comment 14 Fedora Update System 2015-07-14 15:36:54 UTC
Package libreoffice-4.3.7.2-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.7.2-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11535/libreoffice-4.3.7.2-9.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-07-18 02:01:56 UTC
libreoffice-4.3.7.2-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.